Create payment refund

Creates a refund for a specific payment. The refunded amount is credited to your customer usually either via a bank transfer or by refunding the amount to your customer's credit card.

Access with

API key

Organization access token with refunds.write

OAuth access with refunds.write

Path Params
string
required

Provide the ID of the related payment.

Body Params
string
required
length โ‰ค 255

The description of the refund that may be shown to your customer, depending on the payment method used.

amount
object
required

The amount refunded to your customer with this refund. The amount is allowed to be lower than the original payment amount.

required

Provide any data you like, for example a string or a JSON object. We will save the data alongside the entity. Whenever you fetch the entity with our API, we will also include the metadata. You can use up to approximately 1kB.

externalReference
object
boolean | null

This feature is only available to marketplace operators.

With Mollie Connect you can charge fees on payments that your app is processing on behalf of other Mollie merchants, by providing the routing object during payment creation.

When creating refunds for these routed payments, by default the full amount is deducted from your balance.

If you want to pull back the funds that were routed to the connected merchant(s), you can set this parameter to true when issuing a full refund.

For more fine-grained control and for partial refunds, use the routingReversals parameter instead.

routingReversals
array of objects | null

This feature is only available to marketplace operators.

When creating refunds for routed payments, by default the full amount is deducted from your balance.

If you want to pull back funds from the connected merchant(s), you can use this parameter to specify what amount needs to be reversed from which merchant(s).

If you simply want to fully reverse the routed funds, you can also use the reverseRouting parameter instead.

routingReversals
boolean | null

Whether to create the entity in test mode or live mode.

Most API credentials are specifically created for either live mode or test mode, in which case this parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting testmode to true.

Responses

Language
Credentials
Request
Response
Choose an example:
application/hal+json